package com.hs.admin;

import com.hs.admin.dto.UserDto;
import com.hs.admin.service.UserService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class UserTest {

    @Autowired
    UserService userService;

    @Test
    public void save() {
        UserDto dto = new UserDto();
        dto.setUsername("admin");
        dto.setPassword("123456");
        userService.saveUser(dto);

    }

}
